dnl Get GNOME cflags and libs:

AC_DEFUN(AC_CHECK_GNOME,
[
  
   AC_PATH_PROG(GNOME_CONFIG, gnome-config, no)

   if test "$GNOME_CONFIG" = "no" ; then
      AC_MSG_ERROR(Cannot find GNOME: Is gnome-config in path?)
   
   else
      GNOME_CFLAGS=`$GNOME_CONFIG --cflags $1`
      GNOME_LIBS=`$GNOME_CONFIG --libs $1`
   fi
   dnl AC_CHECKING(GNOME cflags is: $GNOME_CFLAGS)
])


dnl Get gthread cflags and libs:

AC_DEFUN(AC_CHECK_GTK,
[
  
   AC_PATH_PROG(GTK_CONFIG, gtk-config, no)
  
   if test "$GTK_CONFIG" = "no" ; then
      AC_MSG_ERROR(Cannot find GTK: Is gtk-config in path?)
   
   else
      GTK_LIBS=`$GTK_CONFIG --libs $1`
   fi
   dnl AC_CHECKING(GTK libs is: $GTK_LIBS)
   
])


AC_DEFUN(AC_GET_SONICMAIL_PATHS,
[
   wavfile_path="/usr/share/sounds/sonicmail"
   pixmaps_path="/usr/share/pixmaps/sonicmail"
   
dnl   AC_ARG_WITH(pixmaps-path,[  --with-pixmaps-path=PATH Specify a path to install Sonicmail pixmaps (optional)],
dnl            pixmaps_path="$withval", pixmaps_path="/usr/share/pixmaps/sonicmail")
dnl   AC_ARG_WITH(wavfile-path,[  --with-wavfile-path=PATH Specify a path to install Sonicmail sound files (optional)],
dnl            wavfile_path="$withval", wavfile_path="/usr/share/sounds/sonicmail")

   AC_DEFINE_UNQUOTED(XPMSPATH, "$pixmaps_path", Sonicmail pixmaps path)
   AC_DEFINE_UNQUOTED(WAVSPATH, "$wavfile_path", Sonicmail sound files path)
])


AC_DEFUN(AC_GET_SONICMAIL_DEBUG,
[   
   AC_ARG_ENABLE(sonicmail-debug,
      [  --enable-sonicmail-debug Print Sonicmail debug messages],
      sm_debug="$enableval", sm_debug="no")
   
   if test "$sm_debug" = "yes"; then
      AC_DEFINE(SONICMAIL_DEBUG, 1, Sonicmail debug mode)
   else
      AC_DEFINE(SONICMAIL_DEBUG, 0, Sonicmail debug mode)
   fi
])
